CXX = @CMAKE_CXX_COMPILER@
EXEEXT = @EXEEXT@
RPATHCMD = @RPATHCMD@
PKG_ENV = PKG_CONFIG_PATH=@PKG_CONFIG_PATH@

all: MissingGlyphExample.eps SimpleLASiExample.eps ComplexTextLayoutExample.eps

MissingGlyphExample$(EXEEXT): MissingGlyphExample.cpp 
	$(CXX) -o $@ $< \
	$(RPATHCMD) `$(PKG_ENV) pkg-config --cflags --libs lasi`

MissingGlyphExample.eps: MissingGlyphExample$(EXEEXT)
	./$< $@

SimpleLASiExample$(EXEEXT): SimpleLASiExample.cpp 
	$(CXX) -o $@ $< \
	$(RPATHCMD) `$(PKG_ENV) pkg-config --cflags --libs lasi`

SimpleLASiExample.eps: SimpleLASiExample$(EXEEXT)
	./$< $@

ComplexTextLayoutExample$(EXEEXT): ComplexTextLayoutExample.cpp 
	$(CXX) -o $@ $< \
	$(RPATHCMD) `$(PKG_ENV) pkg-config --cflags --libs lasi`

ComplexTextLayoutExample.eps: ComplexTextLayoutExample$(EXEEXT)
	./$< $@

clean:
	rm MissingGlyphExample$(EXEEXT) MissingGlyphExample.eps \
	SimpleLASiExample$(EXEEXT) SimpleLASiExample.eps \
	ComplexTextLayoutExample$(EXEEXT) ComplexTextLayoutExample.eps

.PHONY: all clean
